#
# spec file for package fcitx-fbterm 
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-fbterm
Version:	0.2.0
Release:	7.36
License:	GPL-2.0+
Summary:	Fbterm Support for Fcitx
Url:		https://github.com/fcitx/fcitx-fbterm
Group:		System/I18n/Chinese
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	fcitx-devel
BuildRequires:	gettext
%if 0%{?suse_version}
BuildRequires:	dbus-1-glib-devel
BuildRequires:	pkg-config
%else
BuildRequires:	dbus-glib-devel
BuildRequires:	pkgconfig
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       locale(fbterm:ko;zh_CN;zh_SG)

%description
Fcitx-fbterm is a Wrapper for Fcitx in fbterm, a fast Framebuffer based terminal emulator.

%prep
%setup -q

%build
%{__mkdir} -pv build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_lib} ..
make %{?_smp_mflags}

%install
pushd build
make DESTDIR=%{buildroot} install
popd

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}-helper

%changelog
* Sat Sep 15 2012 i@marguerite.su
- update version 0.2.0
  * IPC using new fcitx-gclient in order to simplify fcitx-fbterm-helper
* Mon Jun 25 2012 i@marguerite.su
- fix fedora builds.
* Tue Jun  5 2012 i@marguerite.su
- fix sles builds
* Mon May 28 2012 i@marguerite.su
- bring it into DVD.
* Sun May  6 2012 i@marguerite.su
- update version 0.1.4
  * kill the fcitx and dbus-daemon launched by the script
* Thu Apr 12 2012 hillwood@linuxfans.org
- support fedora , RedHat and Centos
* Sun Apr  8 2012 i@marguerite.su
- update version 0.1.3
  * Fix combination key handling.
* Wed Feb 29 2012 i@marguerite.su
- set _service disabled. update source from git
* Mon Jan 30 2012 i@marguerite.su
- initial package 0.1.2git
